Delete an event by refId
curl --request DELETE \
--url https://connect.withvayu.com/events/{refId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.withvayu.com/events/{refId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.withvayu.com/events/{refId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"name": "api_call",
"timestamp": "2023-09-13T18:25:43.511Z",
"customerAlias": "customer_12345",
"ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "<string>",
"data": {
"key1": "processing_duration",
"key2": "api_url"
}
}
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Events
Delete an event by refId
Use this endpoint to remove a specific event using its reference ID.
DELETE
/
events
/
{refId}
Delete an event by refId
⌘I
